<nz-spin [nzSpinning]="isLoading && !user?.uid">
  <app-main-layout [avatar]="user?.photoURL" title="Mon profil Barnabé"
                   [subTitle]="user?.email"
                   [breadCrumbs]="['Mon profil', user | userName]"
                   [alerts]="alerts"
  >
    <div nz-row *ngIf="user?.uid">
      <div nz-col nzSpan="24">

        <ng-container *ngIf="editPicture">
          <div [nzGutter]="20" nz-row nzAlign="middle" nzType="flex">
            <div nz-col nzSpan="6">
              <app-upload-input
                (emitError)="displayError($event)"
                [acceptType]="['image/jpg', 'image/png', 'image/jpeg']"
                [mainForm]="userForm"
                [maxSize]="2 * 1000 * 1024"
                [multi]="false"
                [path]="'/users/profilePictures/'"
                placeholder="Choisir une nouvelle image de profil"
              ></app-upload-input>
            </div>
            <div nz-col nzSpan="18">
              <div nz-row>
                <div nz-col nzSpan="18">
                  <button (click)="upload()" nz-button nzType="danger">Sauver cette photo</button>
                  <button (click)="editPicture = false" nz-button>Annuler</button>
                </div>
              </div>
            </div>
          </div>
        </ng-container>
        <!--<div nz-row>
          <div nz-col nzSpan="24">
            <nz-avatar (click)="editPicture = !editPicture" *ngIf="!editPicture" [nzSize]="100" [nzSrc]="user.photoURL"
                       nzIcon="user"></nz-avatar>
            <h2>{{user?.firstName}} {{user?.lastName}} {{user?.email}}</h2>
          </div>
        </div>-->
        <div nz-row>
          <div nz-col nzSpan="24">
            <form (ngSubmit)="updateUser()" *ngIf="userForm" [formGroup]="userForm" nz-form nzLayout="vertical">

              <nz-form-item>
                <nz-form-label nzRequired>Civilités</nz-form-label>
                <nz-form-control [nzErrorTip]="firstNameErrorTpl" nzHasFeedback>
                  <nz-select formControlName="gender" nzPlaceHolder="M. ou Mme">
                    <nz-option nzValue="monsieur" nzLabel="Monsieur"></nz-option>
                    <nz-option nzValue="madame" nzLabel="Madame"></nz-option>
                  </nz-select>
                  <ng-template #firstNameErrorTpl let-control>
                    <ng-container *ngIf="control.hasError('required')">
                      Complétez votre civilité
                    </ng-container>
                  </ng-template>
                </nz-form-control>
              </nz-form-item>

              <nz-form-item>
                <nz-form-label nzRequired>Prénom</nz-form-label>
                <nz-form-control [nzErrorTip]="firstNameErrorTpl" nzHasFeedback
                >
                  <input formControlName="firstName" nz-input placeholder="Votre prénom"/>
                  <ng-template #firstNameErrorTpl let-control>
                    <ng-container *ngIf="control.hasError('required')">
                      Complétez votre prénom
                    </ng-container>
                  </ng-template>
                </nz-form-control>
              </nz-form-item>

              <nz-form-item>
                <nz-form-label nzRequired>Nom</nz-form-label>
                <nz-form-control [nzErrorTip]="lastNameErrorTpl" nzHasFeedback
                >
                  <input formControlName="lastName" nz-input placeholder="Votre Nom"/>
                  <ng-template #lastNameErrorTpl let-control>
                    <ng-container *ngIf="control.hasError('required')">
                      Complétez votre nom
                    </ng-container>
                  </ng-template>
                </nz-form-control>
              </nz-form-item>

              <nz-form-item>
                <nz-form-label nzRequired>Code Postal</nz-form-label>
                <nz-form-control [nzErrorTip]="zipErrorTpl" nzHasFeedback>
                  <input formControlName="zip" nz-input placeholder="Code Postal"/>
                  <ng-template #zipErrorTpl let-control>
                    <ng-container *ngIf="control.hasError('required')">
                      Complétez votre code postal
                    </ng-container>
                  </ng-template>
                </nz-form-control>
              </nz-form-item>
              <nz-form-item>
                <nz-form-label nzRequired>N° Téléphone</nz-form-label>
                <nz-form-control [nzErrorTip]="phoneErrorTpl" nzHasFeedback>
                  <input formControlName="phone" nz-input placeholder="N° de Téléphone"/>
                  <ng-template #phoneErrorTpl let-control>
                    <ng-container *ngIf="control.hasError('required')">
                      Complétez votre N° de téléphone
                    </ng-container>
                  </ng-template>
                </nz-form-control>
              </nz-form-item>

              <nz-form-item>
                <nz-form-label nzRequired>Date de Naissance</nz-form-label>
                <nz-form-control [nzErrorTip]="birthdayErrorTpl" nzHasFeedback>
                  <input type="date" formControlName="birthday" nz-input placeholder="Date de Naissance"/>
                  <ng-template #birthdayErrorTpl let-control>
                    <ng-container *ngIf="control.hasError('required')">
                      Complétez votre date de naissance
                    </ng-container>
                  </ng-template>
                </nz-form-control>
              </nz-form-item>

              <nz-form-item>
                <nz-form-control>
                  <button [disabled]="!userForm.valid" nz-button nzType="primary">Enregistrer les modifications</button>
                </nz-form-control>
              </nz-form-item>

            </form>
          </div>
        </div>

        <nz-divider></nz-divider>
        <div nz-row>
          <div nz-col nzSpan="12">
            <form *ngIf="userForm" [formGroup]="newPassword" nz-form nzLayout="vertical">
              <div nz-row>
                <div nz-col nzSpan="18">
                  <nz-form-item>
                    <nz-form-label nzRequired>Changer mon mot de passe</nz-form-label>
                    <nz-form-control [nzErrorTip]="characterNumber">
                      <nz-input-group [nzSuffix]="suffixTemplate">
                        <input [type]="passwordVisible ? 'text' : 'password'" formControlName="newPassword" nz-input placeholder="Nouveau mot de passe"/>
                      </nz-input-group>
                      <ng-template #characterNumber let-control>
                        <ng-container *ngIf="control.hasError('required')">
                          Il faut 6 carractères minimun
                        </ng-container>
                      </ng-template>
                      <ng-template #suffixTemplate>
                        <i nz-icon [nzType]="passwordVisible ? 'eye-invisible' : 'eye'" (click)="passwordVisible = !passwordVisible"></i>
                      </ng-template>
                    </nz-form-control>
                  </nz-form-item>
                </div>

              </div>
              <div nz-row>
                <div nz-col>
                  <nz-form-item>
                    <nz-form-control >
                      <button
                        (nzOnCancel)="cancel()"
                        (nzOnConfirm)="confirm(newPassword.get('newPassword').value)"
                        [disabled]="!newPassword.valid"
                        nz-button
                        nz-popconfirm
                        nzPopconfirmPlacement="rightBottom"
                        nzPopconfirmTitle="Êtes-vous sur de vouloir modifier votre mot de passe ?"
                      >
                        MODIFIER
                      </button>
                    </nz-form-control>
                  </nz-form-item>
                </div>
              </div>

            </form>
          </div>
          <!--<div nz-col nzSpan="12">
            <nz-switch [(ngModel)]="user.notificationByMail"
                       (ngModelChange)="changeEmailValue($event)"></nz-switch>
            Recevoir des notifications de Barnabé par email
          </div>-->
        </div>

      </div>
    </div>


  </app-main-layout>
</nz-spin>
